Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3444 closed task (fixed)

Remove nios2gen program

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Rename it to rtems-nios2gen

Change History (3)

comment:1 Changed on 06/13/18 at 07:49:19 by Sebastian Huber

Summary: Move nios2gen to rtems-toolsRemove nios2gen program

After discussion on devel@… it was decided to remove this program due to its license (RTEMS GPL).

comment:2 Changed on 06/15/18 at 05:15:39 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"46c2da693c209e1004e69abc7aea0752ef249940/rtems" 46c2da6/rtems]:

tools: Remove nios2gen

All tools should be removed from the RTEMS source repository at some
point in time. Tools with a BSD-style license will be moved to the
RTEMS tools repository. Unfortunately, the this tool is RTEMS GPL
licensed.

If users of this tool still exist, they can reimplement the
functionality using a BSD-style license and add it to the RTEMS tools.

Close #3444.

comment:3 Changed on 06/29/18 at 09:55:38 by Sebastian Huber <sebastian.huber@…>

In [changeset:"380243627b4043227cbc2fc0803b20d2a09e6490/rtems" 38024362/rtems]:

bsp/riscv: Fix some warnings

Update #3444.

Note: See TracTickets for help on using tickets.